> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Send presence unsubscription

## Overview

Allows the client to send a presence unsubscription from its account to an XMPP recipient.

## HTTP request

`POST /Agent/Xmpp/SendPresenceUnsubscription`

## Authentication

Requires a valid JWT bearer token.

## Request (JSON)

```json theme={null}
{
	"to":Required(Str(PTo)),
	"id":Optional(Str(PId))
}
```

## Input parameters

| Parameter | Description                                |
| --------- | ------------------------------------------ |
| PTo       | A Bare or Full JID (XMPP network address). |
| PId       | Optional Message ID.                       |

## Response (JSON)

```json theme={null}
{
	"sent":Required(Bool(PSent)),
	"id":Required(Str(PId))
}
```

## Response parameters

| Parameter | Description                                                                                                           |
| --------- | --------------------------------------------------------------------------------------------------------------------- |
| PSent     | If the XMPP stanza was sent or not.                                                                                   |
| PId       | ID of stanza sent. Can be used to match responses. If no ID was provided in the call, a message ID will be generated. |

## Notes

This endpoint uses the request schema notation described in [Pattern matching](/neuron-api/pattern-matching).
